<?php

declare(strict_types=1);

namespace Drupal\bt_layouts;

/**
 * Provides constants for the Layouts.
 */
final class DefaultConfigLayout {
  public const GRID_CONTAINER_SELECT = 'full';
  public const GRID_FULL_SELECT = '0';
  public const GRID_BOX_SELECT = '100%';

  public const GRID_PADDING_TOP_NONE = 'none';
  public const GRID_PADDING_TOP_ZERO = 'pt-0';
  public const GRID_PADDING_TOP_SMALL = 'pt-1';
  public const GRID_PADDING_TOP_HALF = 'pt-2';
  public const GRID_PADDING_TOP_NORMAL = 'pt-3';
  public const GRID_PADDING_TOP_DOUBLE = 'pt-4';
  public const GRID_PADDING_TOP_TRIPLE = 'pt-5';

  public const GRID_SM_PADDING_TOP_NONE = 'none';
  public const GRID_SM_PADDING_TOP_ZERO = 'pt-sm-0';
  public const GRID_SM_PADDING_TOP_SMALL = 'pt-sm-1';
  public const GRID_SM_PADDING_TOP_HALF = 'pt-sm-2';
  public const GRID_SM_PADDING_TOP_NORMAL = 'pt-sm-3';
  public const GRID_SM_PADDING_TOP_DOUBLE = 'pt-sm-4';
  public const GRID_SM_PADDING_TOP_TRIPLE = 'pt-sm-5';

  public const GRID_MD_PADDING_TOP_NONE = 'none';
  public const GRID_MD_PADDING_TOP_ZERO = 'pt-md-0';
  public const GRID_MD_PADDING_TOP_SMALL = 'pt-md-1';
  public const GRID_MD_PADDING_TOP_HALF = 'pt-md-2';
  public const GRID_MD_PADDING_TOP_NORMAL = 'pt-md-3';
  public const GRID_MD_PADDING_TOP_DOUBLE = 'pt-md-4';
  public const GRID_MD_PADDING_TOP_TRIPLE = 'pt-md-5';

  public const GRID_LG_PADDING_TOP_NONE = 'none';
  public const GRID_LG_PADDING_TOP_ZERO = 'pt-lg-0';
  public const GRID_LG_PADDING_TOP_SMALL = 'pt-lg-1';
  public const GRID_LG_PADDING_TOP_HALF = 'pt-lg-2';
  public const GRID_LG_PADDING_TOP_NORMAL = 'pt-lg-3';
  public const GRID_LG_PADDING_TOP_DOUBLE = 'pt-lg-4';
  public const GRID_LG_PADDING_TOP_TRIPLE = 'pt-lg-5';

  public const GRID_XL_PADDING_TOP_NONE = 'none';
  public const GRID_XL_PADDING_TOP_ZERO = 'pt-xl-0';
  public const GRID_XL_PADDING_TOP_SMALL = 'pt-xl-1';
  public const GRID_XL_PADDING_TOP_HALF = 'pt-xl-2';
  public const GRID_XL_PADDING_TOP_NORMAL = 'pt-xl-3';
  public const GRID_XL_PADDING_TOP_DOUBLE = 'pt-xl-4';
  public const GRID_XL_PADDING_TOP_TRIPLE = 'pt-xl-5';

  public const GRID_XXL_PADDING_TOP_NONE = 'none';
  public const GRID_XXL_PADDING_TOP_ZERO = 'pt-xxl-0';
  public const GRID_XXL_PADDING_TOP_SMALL = 'pt-xxl-1';
  public const GRID_XXL_PADDING_TOP_HALF = 'pt-xxl-2';
  public const GRID_XXL_PADDING_TOP_NORMAL = 'pt-xxl-3';
  public const GRID_XXL_PADDING_TOP_DOUBLE = 'pt-xxl-4';
  public const GRID_XXL_PADDING_TOP_TRIPLE = 'pt-xxl-5';

  public const GRID_PADDING_BOTTOM_NONE = 'none';
  public const GRID_PADDING_BOTTOM_ZERO = 'pb-0';
  public const GRID_PADDING_BOTTOM_SMALL = 'pb-1';
  public const GRID_PADDING_BOTTOM_HALF = 'pb-2';
  public const GRID_PADDING_BOTTOM_NORMAL = 'pb-3';
  public const GRID_PADDING_BOTTOM_DOUBLE = 'pb-4';
  public const GRID_PADDING_BOTTOM_TRIPLE = 'pb-5';

  public const GRID_SM_PADDING_BOTTOM_NONE = 'none';
  public const GRID_SM_PADDING_BOTTOM_ZERO = 'pb-sm-0';
  public const GRID_SM_PADDING_BOTTOM_SMALL = 'pb-sm-1';
  public const GRID_SM_PADDING_BOTTOM_HALF = 'pb-sm-2';
  public const GRID_SM_PADDING_BOTTOM_NORMAL = 'pb-sm-3';
  public const GRID_SM_PADDING_BOTTOM_DOUBLE = 'pb-sm-4';
  public const GRID_SM_PADDING_BOTTOM_TRIPLE = 'pb-sm-5';

  public const GRID_MD_PADDING_BOTTOM_NONE = 'none';
  public const GRID_MD_PADDING_BOTTOM_ZERO = 'pb-md-0';
  public const GRID_MD_PADDING_BOTTOM_SMALL = 'pb-md-1';
  public const GRID_MD_PADDING_BOTTOM_HALF = 'pb-md-2';
  public const GRID_MD_PADDING_BOTTOM_NORMAL = 'pb-md-3';
  public const GRID_MD_PADDING_BOTTOM_DOUBLE = 'pb-md-4';
  public const GRID_MD_PADDING_BOTTOM_TRIPLE = 'pb-md-5';

  public const GRID_LG_PADDING_BOTTOM_NONE = 'none';
  public const GRID_LG_PADDING_BOTTOM_ZERO = 'pb-lg-0';
  public const GRID_LG_PADDING_BOTTOM_SMALL = 'pb-lg-1';
  public const GRID_LG_PADDING_BOTTOM_HALF = 'pb-lg-2';
  public const GRID_LG_PADDING_BOTTOM_NORMAL = 'pb-lg-3';
  public const GRID_LG_PADDING_BOTTOM_DOUBLE = 'pb-lg-4';
  public const GRID_LG_PADDING_BOTTOM_TRIPLE = 'pb-lg-5';

  public const GRID_XL_PADDING_BOTTOM_NONE = 'none';
  public const GRID_XL_PADDING_BOTTOM_ZERO = 'pb-xl-0';
  public const GRID_XL_PADDING_BOTTOM_SMALL = 'pb-xl-1';
  public const GRID_XL_PADDING_BOTTOM_HALF = 'pb-xl-2';
  public const GRID_XL_PADDING_BOTTOM_NORMAL = 'pb-xl-3';
  public const GRID_XL_PADDING_BOTTOM_DOUBLE = 'pb-xl-4';
  public const GRID_XL_PADDING_BOTTOM_TRIPLE = 'pb-xl-5';

  public const GRID_XXL_PADDING_BOTTOM_NONE = 'none';
  public const GRID_XXL_PADDING_BOTTOM_ZERO = 'pb-xxl-0';
  public const GRID_XXL_PADDING_BOTTOM_SMALL = 'pb-xxl-1';
  public const GRID_XXL_PADDING_BOTTOM_HALF = 'pb-xxl-2';
  public const GRID_XXL_PADDING_BOTTOM_NORMAL = 'pb-xxl-3';
  public const GRID_XXL_PADDING_BOTTOM_DOUBLE = 'pb-xxl-4';
  public const GRID_XXL_PADDING_BOTTOM_TRIPLE = 'pb-xxl-5';

  public const GRID_GAP_NONE = 'none';
  public const GRID_GAP_ZERO = 'gap-0';
  public const GRID_GAP_SMALL = 'gap-1';
  public const GRID_GAP_HALF = 'gap-2';
  public const GRID_GAP_NORMAL = 'gap-3';
  public const GRID_GAP_DOUBLE = 'gap-4';
  public const GRID_GAP_TRIPLE = 'gap-5';

  public const GRID_SM_GAP_NONE = 'none';
  public const GRID_SM_GAP_ZERO = 'gap-sm-0';
  public const GRID_SM_GAP_SMALL = 'gap-sm-1';
  public const GRID_SM_GAP_HALF = 'gap-sm-2';
  public const GRID_SM_GAP_NORMAL = 'gap-sm-3';
  public const GRID_SM_GAP_DOUBLE = 'gap-sm-4';
  public const GRID_SM_GAP_TRIPLE = 'gap-sm-5';

  public const GRID_MD_GAP_NONE = 'none';
  public const GRID_MD_GAP_ZERO = 'gap-md-0';
  public const GRID_MD_GAP_SMALL = 'gap-md-1';
  public const GRID_MD_GAP_HALF = 'gap-md-2';
  public const GRID_MD_GAP_NORMAL = 'gap-md-3';
  public const GRID_MD_GAP_DOUBLE = 'gap-md-4';
  public const GRID_MD_GAP_TRIPLE = 'gap-md-5';

  public const GRID_LG_GAP_NONE = 'none';
  public const GRID_LG_GAP_ZERO = 'gap-lg-0';
  public const GRID_LG_GAP_SMALL = 'gap-lg-1';
  public const GRID_LG_GAP_HALF = 'gap-lg-2';
  public const GRID_LG_GAP_NORMAL = 'gap-lg-3';
  public const GRID_LG_GAP_DOUBLE = 'gap-lg-4';
  public const GRID_LG_GAP_TRIPLE = 'gap-lg-5';

  public const GRID_XL_GAP_NONE = 'none';
  public const GRID_XL_GAP_ZERO = 'gap-xl-0';
  public const GRID_XL_GAP_SMALL = 'gap-xl-1';
  public const GRID_XL_GAP_HALF = 'gap-xl-2';
  public const GRID_XL_GAP_NORMAL = 'gap-xl-3';
  public const GRID_XL_GAP_DOUBLE = 'gap-xl-4';
  public const GRID_XL_GAP_TRIPLE = 'gap-xl-5';

  public const GRID_XXL_GAP_NONE = 'none';
  public const GRID_XXL_GAP_ZERO = 'gap-xxl-0';
  public const GRID_XXL_GAP_SMALL = 'gap-xxl-1';
  public const GRID_XXL_GAP_HALF = 'gap-xxl-2';
  public const GRID_XXL_GAP_NORMAL = 'gap-xxl-3';
  public const GRID_XXL_GAP_DOUBLE = 'gap-xxl-4';
  public const GRID_XXL_GAP_TRIPLE = 'gap-xxl-5';

  public const GRID_BACKGROUND_COLOR_DEFAULT = 'default';
  public const GRID_BACKGROUND_COLOR_PRIMARY = 'primary';
  public const GRID_BACKGROUND_COLOR_PRIMARY_050 = 'primary-050';
  public const GRID_BACKGROUND_COLOR_PRIMARY_100 = 'primary-100';
  public const GRID_BACKGROUND_COLOR_PRIMARY_200 = 'primary-200';
  public const GRID_BACKGROUND_COLOR_PRIMARY_300 = 'primary-300';
  public const GRID_BACKGROUND_COLOR_PRIMARY_400 = 'primary-400';
  public const GRID_BACKGROUND_COLOR_PRIMARY_500 = 'primary-500';
  public const GRID_BACKGROUND_COLOR_PRIMARY_600 = 'primary-600';
  public const GRID_BACKGROUND_COLOR_PRIMARY_700 = 'primary-700';
  public const GRID_BACKGROUND_COLOR_PRIMARY_800 = 'primary-800';
  public const GRID_BACKGROUND_COLOR_PRIMARY_900 = 'primary-900';
  public const GRID_BACKGROUND_COLOR_SECONDARY = 'secondary';
  public const GRID_BACKGROUND_COLOR_SECONDARY_050 = 'secondary-050';
  public const GRID_BACKGROUND_COLOR_SECONDARY_100 = 'secondary-100';
  public const GRID_BACKGROUND_COLOR_SECONDARY_200 = 'secondary-200';
  public const GRID_BACKGROUND_COLOR_SECONDARY_300 = 'secondary-300';
  public const GRID_BACKGROUND_COLOR_SECONDARY_400 = 'secondary-400';
  public const GRID_BACKGROUND_COLOR_SECONDARY_500 = 'secondary-500';
  public const GRID_BACKGROUND_COLOR_SECONDARY_600 = 'secondary-600';
  public const GRID_BACKGROUND_COLOR_SECONDARY_700 = 'secondary-700';
  public const GRID_BACKGROUND_COLOR_SECONDARY_800 = 'secondary-800';
  public const GRID_BACKGROUND_COLOR_SECONDARY_900 = 'secondary-900';
  public const GRID_BACKGROUND_COLOR_ACCENT = 'accent';
  public const GRID_BACKGROUND_COLOR_ACCENT_050 = 'accent-050';
  public const GRID_BACKGROUND_COLOR_ACCENT_100 = 'accent-100';
  public const GRID_BACKGROUND_COLOR_ACCENT_200 = 'accent-200';
  public const GRID_BACKGROUND_COLOR_ACCENT_300 = 'accent-300';
  public const GRID_BACKGROUND_COLOR_ACCENT_400 = 'accent-400';
  public const GRID_BACKGROUND_COLOR_ACCENT_500 = 'accent-500';
  public const GRID_BACKGROUND_COLOR_ACCENT_600 = 'accent-600';
  public const GRID_BACKGROUND_COLOR_ACCENT_700 = 'accent-700';
  public const GRID_BACKGROUND_COLOR_ACCENT_800 = 'accent-800';
  public const GRID_BACKGROUND_COLOR_ACCENT_900 = 'accent-900';
  public const GRID_BACKGROUND_COLOR_SUCCESS = 'success';
  public const GRID_BACKGROUND_COLOR_INFO = 'info';
  public const GRID_BACKGROUND_COLOR_WARNING = 'warning';
  public const GRID_BACKGROUND_COLOR_DANGER = 'danger';
  public const GRID_BACKGROUND_COLOR_LIGHT = 'light';
  public const GRID_BACKGROUND_COLOR_DARK = 'dark';
  public const GRID_BACKGROUND_COLOR_BLUE = 'blue';
  public const GRID_BACKGROUND_COLOR_INDIGO = 'indigo';
  public const GRID_BACKGROUND_COLOR_PURPLE = 'purple';
  public const GRID_BACKGROUND_COLOR_PINK = 'pink';
  public const GRID_BACKGROUND_COLOR_RED = 'red';
  public const GRID_BACKGROUND_COLOR_ORANGE = 'orange';
  public const GRID_BACKGROUND_COLOR_YELLOW = 'yellow';
  public const GRID_BACKGROUND_COLOR_GREEN = 'green';
  public const GRID_BACKGROUND_COLOR_TEAL = 'teal';
  public const GRID_BACKGROUND_COLOR_CYAN = 'cyan';
  public const GRID_BACKGROUND_COLOR_WHITE = 'white';
  public const GRID_BACKGROUND_COLOR_GRAY_050 = 'gray-050';
  public const GRID_BACKGROUND_COLOR_GRAY_100 = 'gray-100';
  public const GRID_BACKGROUND_COLOR_GRAY_200 = 'gray-200';
  public const GRID_BACKGROUND_COLOR_GRAY_300 = 'gray-300';
  public const GRID_BACKGROUND_COLOR_GRAY_400 = 'gray-400';
  public const GRID_BACKGROUND_COLOR_GRAY_500 = 'gray-500';
  public const GRID_BACKGROUND_COLOR_GRAY_600 = 'gray-600';
  public const GRID_BACKGROUND_COLOR_GRAY_700 = 'gray-700';
  public const GRID_BACKGROUND_COLOR_GRAY_800 = 'gray-800';
  public const GRID_BACKGROUND_COLOR_GRAY_900 = 'gray-900';
  public const GRID_BACKGROUND_COLOR_CUSTOM = 'customColor';

}
